SbBasic.h(3)

NAME
SbBasic.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/errors/debugerror.h>

  Macros
#define SoEXTENDER
#define SoINTERNAL
#define SUN_CC_4_0_SOTYPE_INIT_BUG 0 /* assume compiler is ok for now */
#define STATIC_SOTYPE_INIT = SoType::badType()
#define WHILE_0 while (0)

  Functions
template<class Type > Type SbAbs (Type Val)
template<class Type > Type SbMax (const Type A, const Type B)
template<class Type > Type SbMin (const Type A, const Type B)
template<class Type > Type SbClamp (const Type Val, const Type Min, const Type Max)
template<class Type > void SbSwap (Type &A, Type &B)
template<class Type > Type SbSqr (const Type val)
template<typename Type > void SbDividerChk (const char *funcname, Type divider)

Author

Generated automatically by Doxygen for Coin from the source code.